## Apache Zeta Components Manual :: Docs For Class ezcWebdavPathFactory

### Webdav::ezcWebdavPathFactory

### Interface ezcWebdavPathFactory

Basic path factory interface.

An object that implements this interface is meant to be used in ezcWebdavServerConfiguration as the $pathFactory property. The instance of ezcWebdavTransport utilizes the path factory to translate between external paths/URIs and paths that are usable with the a ezcWebdavBackend.

You may want to provide custome implementations for different mappings.

Source for this file: /Webdav/src/interfaces/path_factory.php

Version: | //autogentag//

### Method Summary

public string | `generateUriFromPath( $path )` Generates a URI from a local path.
public string | `parseUriToPath( $uri )` Parses the given URI to a path suitable to be used in the backend.

### Methods

#### generateUriFromPath

string generateUriFromPath( string $path )

Generates a URI from a local path.

This method receives a local $path string, representing a resource in the ezcWebdavBackend and translates it into a full qualified URI to be used as external reference.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$path` | string |

#### parseUriToPath

string parseUriToPath( string $uri )

Parses the given URI to a path suitable to be used in the backend.

This method retrieves a URI (either full qualified or relative) and translates it into a local path, which can be understood by the ezcWebdavBackend instance used in the ezcWebdavServer.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$uri` | string |

Documentation generated by phpDocumentor 1.4.3